> ## Documentation Index
> Fetch the complete documentation index at: https://studio.assembly.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get File Channel by id

> Retrieves a single file channel by its id. The requesting user must be a member of the channel.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/channels/files/{id}
openapi: 3.0.0
info:
  contact: {}
  title: Assembly API
  version: 0.0.1
servers:
  - url: https://api.assembly.com
security: []
paths:
  /v1/channels/files/{id}:
    get:
      tags:
        - File Channels
      summary: Get File Channel by id
      description: >-
        Retrieves a single file channel by its id. The requesting user must be a
        member of the channel.
      operationId: retrieve-file-channel
      parameters:
        - description: File channel id
          in: path
          name: id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/filechannels.FileChannel'
          description: OK
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/dispatcher.Error'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/dispatcher.Error'
          description: Unauthorized
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/dispatcher.Error'
          description: Internal Server Error
      security:
        - APIKeyHeader: []
components:
  schemas:
    filechannels.FileChannel:
      properties:
        clientId:
          description: >-
            Populated in the platform API only, these fields do not exist in the
            DB

            Client this channel belongs to (set when membershipType is
            individual).
          example: a1b2c3d4-0000-0000-0000-000000000001
          format: uuid
          type: string
        companyId:
          description: >-
            Company this channel belongs to (set when membershipType is
            company).
          example: a1b2c3d4-0000-0000-0000-000000000002
          format: uuid
          type: string
        createdAt:
          type: string
        creatorId:
          type: string
        data:
          type: string
        id:
          type: string
        identityId:
          type: string
        lastNotificationSenderId:
          description: Id of the member who triggered the most recent notification.
          example: a1b2c3d4-0000-0000-0000-000000000003
          format: uuid
          type: string
        lastNotificationTimestamp:
          description: |-
            Notification fields populated from Fields["lastNotification"]
            Timestamp of the most recent notification on the channel.
          example: '2024-01-15T09:30:00Z'
          format: date-time
          type: string
        memberIds:
          description: Ids of the channel members.
          example:
            - a1b2c3d4-0000-0000-0000-000000000003
          items:
            type: string
          type: array
        membershipEntityId:
          description: >-
            Id of the entity (client or company) the channel is based on
            (deprecated legacy field).
          example: a1b2c3d4-0000-0000-0000-000000000002
          format: uuid
          type: string
        membershipType:
          description: How the channel's members are grouped together.
          enum:
            - individual
            - company
            - group
          example: company
          type: string
        object:
          type: string
        previousAttributes:
          additionalProperties: true
          type: object
        ref:
          type: string
        rootClientPermissions:
          description: >-
            Default permission level granted to client members on the channel's
            root folder.
          enum:
            - read_write
            - read_only
          example: read_write
          type: string
        updatedAt:
          type: string
      type: object
    dispatcher.Error:
      properties:
        code:
          type: string
        data: {}
        message:
          type: string
      type: object
  securitySchemes:
    APIKeyHeader:
      in: header
      name: X-API-KEY
      type: apiKey

````